Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
sauce::internal::NullLock Class Reference

Not a lock at all, but used when no synchronization is configured. More...

`#include <sauce/internal/locker_factory.h>`

Inheritance diagram for sauce::internal::NullLock:

## Detailed Description

Not a lock at all, but used when no synchronization is configured.

The documentation for this class was generated from the following file:

- sauce/internal/locker_factory.h